%define upstream_name    Data-RandomPerson
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Select an element from a list in proportion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Calc)
BuildRequires: perl(Data::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Share)
BuildRequires: perl(File::ShareDir::Install)
BuildArch: noarch

%description
Overview
    Returns an object that can be used to create random people and return
    the data in a hash. The data is a hash reference with the following
    keys:

    * gender

      This is either 'm' or 'f'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.510.0-3.mga6
+ Revision: 1024833
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.510.0-2.mga6
+ Revision: 965937
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.510.0-1.mga6
+ Revision: 839271
- update to 0.51

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-5.mga5
+ Revision: 748682
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-4.mga5
+ Revision: 684231
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.400.0-3.mga4
+ Revision: 510707
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 365417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 kharec <kharec> 0.400.0-1.mga3
+ Revision: 326366
- imported package perl-Data-RandomPerson


* Tue Dec 04 2012 cpan2dist 0.4-1mga
- initial mageia release, generated with cpan2dist
